"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.httpGet = void 0;
const tslib_1 = require("tslib");
const request_promise_native_1 = tslib_1.__importDefault(require("request-promise-native"));
const hasha_1 = tslib_1.__importDefault(require("hasha"));
const base_x_1 = tslib_1.__importDefault(require("base-x"));
const cache_1 = require("./cache.cjs");
const base62 = base_x_1.default("0123456789abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ");
function generateKey(url) {
    const buf = hasha_1.default(url, {
        algorithm: "sha256",
        encoding: "buffer"
    });
    return base62.encode(buf);
}
async function httpGet(url) {
    return cache_1.getOrSetCache(generateKey(url), async () => request_promise_native_1.default(url));
}
exports.httpGet = httpGet;
//# sourceMappingURL=http.cjs.map